enum NUIMiniProgramEventType{
  POP,
  TOAST,
  HIDE_KEYBOARD,
  STATUS_BAR_LIGHT,
  STATUS_BAR_DARK,
  INITIALIZED
}

NUIMiniProgramEventType eventTypefromValue(String value){
  switch(value){
    case "pop": return NUIMiniProgramEventType.POP;
    case "toast": return NUIMiniProgramEventType.TOAST;
    case "hideKeyboard": return NUIMiniProgramEventType.HIDE_KEYBOARD;
    case "statusBarLight": return NUIMiniProgramEventType.STATUS_BAR_LIGHT;
    case "statusBarDark": return NUIMiniProgramEventType.STATUS_BAR_DARK;
    case "initialized": return NUIMiniProgramEventType.INITIALIZED;
  }
}
extension NUIMiniProgramEventTypeExt on NUIMiniProgramEventType{
  String get value{
    switch(this){
      case NUIMiniProgramEventType.POP: return "pop";
      case NUIMiniProgramEventType.TOAST: return "toast";
      case NUIMiniProgramEventType.HIDE_KEYBOARD: return "hideKeyboard";
      case NUIMiniProgramEventType.STATUS_BAR_LIGHT: return "statusBarLight";
      case NUIMiniProgramEventType.STATUS_BAR_DARK: return "statusBarDark";
      case NUIMiniProgramEventType.INITIALIZED: return "initialized";
    }
  }
}


enum NUIMiniProgramWebEventType{
  CAN_POP,
  POP
}

NUIMiniProgramWebEventType webEventTypefromValue(String value){
  switch(value){
    case "canPop": return NUIMiniProgramWebEventType.CAN_POP;
    case "pop": return NUIMiniProgramWebEventType.POP;
  }
}
extension NUIMiniProgramWebEventTypeExt on NUIMiniProgramWebEventType{
  String get value{
    switch(this){
      case NUIMiniProgramWebEventType.CAN_POP: return "canPop";
      case NUIMiniProgramWebEventType.POP: return "pop";
    }
  }
}